import logging.handlers


def get_logger(task_id):
    logger = logging.getLogger(__file__)
    logger.handlers.clear()
    http_handler = logging.handlers.HTTPHandler(
        'ops.kingsome.cn',
        '/api/log/?type=task&task_id={}'.format(task_id),
        method='GET',
    )
    logger.setLevel(logging.INFO)
    logger.addHandler(http_handler)

    return logger
