# -*- coding: utf-8 -*-

class Data():
    def __init__(self):
        self.gameid = 0
        self.fromappid = ""  # 渠道ID
        self.date = ""  # 报表日期
        self.dau = 0  # 游戏当日的活跃用户，整数
        self.registerUser = 0  # 累计注册
        self.loginUser = 0  # 游戏当日的用户启动次数，整数
        self.newUser = 0  # 游戏当日的初次注册的用户数量，整数
        self.timedelay = 0  # 游戏当日的用户人均停留时长，单位秒，整数
        self.shareNum = 0  # 游戏当日所有用户的分享总次数，整数
        self.sharePeople = 0  # 游戏当日有过分享行为的用户数量（去重），整数

        self.regSession = 0  # 会话注册比率，百分比，记录到百分位
        self.dauSession = 0  # 会话活跃比率，百分比，记录到百分位
        self.adExposure = 0  # banner广告曝光量，整数
        self.adClick = 0  # banner广告点击量，整数
        self.adClickRate = 0  # banner广告点击率，百分比，记录到百分位
        self.adIncome = 0  # banner广告收入，记录到百分位

        self.movieExposure = 0  # 激励式视频曝光量，整数
        self.movieClick = 0  # 激励式视频点击量，整数
        self.movieClickRate = 0  # 激励式视频点击率，整数
        self.movieIncome = 0  # 激励式视频广告收入，记录到百分位
        self.adTotalIncome = 0  # 广告总收入，记录到百分位
        self.vPay = 0  # 虚拟支付，记录到百分位

        self.shareRate = 0  # 用户分享率，百分比，记录到百分位
        self.shareRatePeople = 0  # 分享用户人均分享次数，记录到百分位
        self.newConversionRateSession = 0  # 会话新增转化率，百分比，记录到百分位
        self.k = 0  # K值 数字，记录到百分位
        self.totalIncome = 0  # 总收入	记录到百分位
        self.ARPU = 0  # 每用户平均收入，记录到千分位
        self.newUserSession = 0  # 会话注册人数，整数
        self.dauActiveSession = 0  # DAU会话人数

